local ShowAirDropScene = BaseClass("ShowAirDropScene")
local OnCreate = function(self, go)
  if go ~= nil then
    self.gameObject = go.gameObject
    self.transform = go.gameObject.transform
  end
  self:ComponentDefine()
  self:DataDefine()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
  self:DataDestroy()
end
local ComponentDefine = function(self)
end
local ComponentDestroy = function(self)
  self.gameObject = nil
  self.transform = nil
end
local DataDefine = function(self)
end
local DataDestroy = function(self)
end
local ReInit = function(self, param)
end
ShowAirDropScene.OnCreate = OnCreate
ShowAirDropScene.OnDestroy = OnDestroy
ShowAirDropScene.ComponentDefine = ComponentDefine
ShowAirDropScene.ComponentDestroy = ComponentDestroy
ShowAirDropScene.DataDefine = DataDefine
ShowAirDropScene.DataDestroy = DataDestroy
ShowAirDropScene.ReInit = ReInit
return ShowAirDropScene
